Package com.independentsoft.office.word.customMarkup

# Class CustomXmlProperty

java.lang.Object
com.independentsoft.office.word.customMarkup.CustomXmlProperty

public class CustomXmlProperty extends Object
The Class CustomXmlProperty.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CustomXmlProperty()`
  Instantiates a new custom xml property.
  `CustomXmlProperty​(String name, String namespace, String value)`
  Instantiates a new custom xml property.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CustomXmlProperty`
  `clone()`
  `String`
  `getName()`
  Gets the name.
  `String`
  `getNamespace()`
  Gets the namespace.
  `String`
  `getValue()`
  Gets the value.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setNamespace​(String ns)`
  Sets the namespace.
  `void`
  `setValue​(String value)`
  Sets the value.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CustomXmlProperty

    public CustomXmlProperty()
    Instantiates a new custom xml property.

  - ### CustomXmlProperty

    public CustomXmlProperty​(String name, String namespace, String value)
    Instantiates a new custom xml property.
    Parameters:
      `name` - the name
      `namespace` - the namespace
      `value` - the value

- ## Method Details

  - ### clone

    public CustomXmlProperty clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getNamespace

    public String getNamespace()
    Gets the namespace.
    Returns:
      the namespace

  - ### setNamespace

    public void setNamespace​(String ns)
    Sets the namespace.
    Parameters:
      `ns` - the new namespace

  - ### getValue

    public String getValue()
    Gets the value.
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets the value.
    Parameters:
      `value` - the new value